@charset "utf-8";

// Import Font
@import url('https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800&display=swap');

// Import metis menu css
@import "~metismenu/dist/metisMenu.min.css";

// Pretty checkbox for vue
@import '~pretty-checkbox/src/pretty-checkbox.scss';

// Mixin
@import "mixin/media-query";

// Core
@import "core/reset";
@import "core/grid";
@import "core/size";
@import "core/text";
@import "core/flexbox";
@import "core/spacing";
@import "core/color";
@import "core/position";
@import "core/font";
@import "core/border";

// Base
@import "base/form";
@import "base/button";
@import "base/panel";
@import "base/component";
@import "base/table";
@import "base/pagination";
@import "base/sweet_alert";
@import "base/tooltip";

// Layouts
@import "layouts/content";

// Vendor
@import "vendor/sweet_alert";


html {
  //width: 1920px;
  overflow-x: auto;
  font-family: 'Poppins', sans-serif;
  font-size: 62.5%;
  color: $gray-700;
  -ms-overflow-style: scrollbar;
  line-height:1.15;
  -webkit-text-size-adjust:100%;
  -webkit-tap-highlight-color:transparent;
}

body {
  font-size: 1.6rem;
  font-family: 'Poppins', sans-serif;
}

h2 {
  margin-top: 0;
  margin-bottom: 0.6rem;
  font-size: 2.2rem;
}

a {
  color: $gray-800;
  text-decoration: none;
}

svg {
  overflow: hidden;
  vertical-align: middle;
}

p {
  margin-bottom: 0;
}

[v-cloak] {
  display: none;
}

.v-line {
  &:after {
    content: '';
    width: 0;
    height: 100%;
    position: absolute;
    border: 1px solid $white;
    top: 0;
    left: 0;
  }
}

#overlay {
  z-index: 9999 !important;
}